# Class CIM_FileSystemCapabilities
extends CIM_Capabilities

This class defines the abilities for persistence and recoverability of a FileSystem. This information is tied to the FileSystem using the ElementCapabilities association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_FileSystemCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This class defines the abilities for persistence and recoverability of a FileSystem. This information is tied to the FileSystem using the ElementCapabilities association.
UMLPackagePath | string | CIM::System::FilesystemServices
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SupportedOtherPersistenceTypes | string[] |
ArrayType | string | Indexed
Description | string | An array of strings describing the persistence capabilities where the corresponding entry in SupportedPersistenceTypes has a value of "Other". This value is ignored in all other cases.
ModelCorrespondence | string | CIM_FileSystemCapabilities.SupportedPersistenceTypes, CIM_FileSystem.OtherPersistenceType
SupportedPersistenceTypes | uint16[] |
ArrayType | string | Indexed

Description

string

An array of enumerated values representing the persistence capabilities of the FileSystem. A value of "Persistent" indicates that the FileSystem supports persistence, can be preserved through an orderly shutdown and could be protected. A value of "Temporary" indicates that the FileSystem supports non-persistence, may not be protected and may not survive a shutdown. A value of "External" indicates that the FileSystem could controlled outside of the operating environment and may need to be protected by specialized means. A value of "Other" is provided to allow for additional persistence types, to be described in the OtherPersistenceType attribute, and is expected to be rarely, if ever, used.

ModelCorrespondence | string | CIM_FileSystemCapabilities.SupportedPersistenceTypes, CIM_FileSystem.PersistenceType
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Persistent, Temporary, External

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods